import * as Components from "../index.js";

export const ComponentCodeName = {
  af: { enName: "Afghanistan", component: Components.AfghanistanFlag },
  ax: { enName: "Aland Islands", component: Components.AlandIslandsFlag },
  al: { enName: "Albania", component: Components.AlbaniaFlag },
  dz: { enName: "Algeria", component: Components.AlgeriaFlag },
  as: { enName: "American Samoa", component: Components.AmericanSamoaFlag },
  ad: { enName: "Andorra", component: Components.AndorraFlag },
  ao: { enName: "Angola", component: Components.AngolaFlag },
  ai: { enName: "Anguilla", component: Components.AnguillaFlag },
  aq: { enName: "Antarctica", component: Components.AntarcticaFlag },
  ag: {
    enName: "Antigua And Barbuda",
    component: Components.AntiguaAndBarbudaFlag,
  },
  ar: { enName: "Argentina", component: Components.ArgentinaFlag },
  am: { enName: "Armenia", component: Components.ArmeniaFlag },
  aw: { enName: "Aruba", component: Components.ArubaFlag },
  ac: { enName: "Ascension Island", component: Components.AscensionIslandFlag },
  au: { enName: "Australia", component: Components.AustraliaFlag },
  at: { enName: "Austria", component: Components.AustriaFlag },
  az: { enName: "Azerbaijan", component: Components.AzerbaijanFlag },
  bs: { enName: "Bahamas", component: Components.BahamasFlag },
  bh: { enName: "Bahrain", component: Components.BahrainFlag },
  bd: { enName: "Bangladesh", component: Components.BangladeshFlag },
  bb: { enName: "Barbados", component: Components.BarbadosFlag },
  by: { enName: "Belarus", component: Components.BelarusFlag },
  be: { enName: "Belgium", component: Components.BelgiumFlag },
  bz: { enName: "Belize", component: Components.BelizeFlag },
  bj: { enName: "Benin", component: Components.BeninFlag },
  bm: { enName: "Bermuda", component: Components.BermudaFlag },
  bt: { enName: "Bhutan", component: Components.BhutanFlag },
  bo: { enName: "Bolivia", component: Components.BoliviaFlag },
  bq: {
    enName: "Bonaire, Sint Eustatius And Saba",
    component: Components.BonaireSintEustatiusAndSabaFlag,
  },
  ba: {
    enName: "Bosnia And Herzegovina",
    component: Components.BosniaAndHerzegovinaFlag,
  },
  bw: { enName: "Botswana", component: Components.BotswanaFlag },
  bv: { enName: "Bouvet Island", component: Components.BouvetIslandFlag },
  br: { enName: "Brazil", component: Components.BrazilFlag },
  io: {
    enName: "British Indian Ocean Territory",
    component: Components.BritishIndianOceanTerritoryFlag,
  },
  bn: {
    enName: "Brunei Darussalam",
    component: Components.BruneiDarussalamFlag,
  },
  bg: { enName: "Bulgaria", component: Components.BulgariaFlag },
  bf: { enName: "Burkina Faso", component: Components.BurkinaFasoFlag },
  bi: { enName: "Burundi", component: Components.BurundiFlag },
  cv: { enName: "Cabo Verde", component: Components.CaboVerdeFlag },
  kh: { enName: "Cambodia", component: Components.CambodiaFlag },
  cm: { enName: "Cameroon", component: Components.CameroonFlag },
  ca: { enName: "Canada", component: Components.CanadaFlag },
  ic: { enName: "Canary Islands", component: Components.CanaryIslandsFlag },
  "es-ct": { enName: "Catalonia", component: Components.CataloniaFlag },
  ky: { enName: "Cayman Islands", component: Components.CaymanIslandsFlag },
  cf: {
    enName: "Central African Republic",
    component: Components.CentralAfricanRepublicFlag,
  },
  cefta: {
    enName: "Central European Free Trade Agreement",
    component: Components.CentralEuropeanFreeTradeAgreementFlag,
  },
  ea: { enName: "Ceuta & Melilla", component: Components.CeutaMelillaFlag },
  td: { enName: "Chad", component: Components.ChadFlag },
  cl: { enName: "Chile", component: Components.ChileFlag },
  cn: { enName: "China", component: Components.ChinaFlag },
  cx: { enName: "Christmas Island", component: Components.ChristmasIslandFlag },
  cp: {
    enName: "Clipperton Island",
    component: Components.ClippertonIslandFlag,
  },
  cc: {
    enName: "Cocos (Keeling) Islands",
    component: Components.CocosKeelingIslandsFlag,
  },
  co: { enName: "Colombia", component: Components.ColombiaFlag },
  km: { enName: "Comoros", component: Components.ComorosFlag },
  ck: { enName: "Cook Islands", component: Components.CookIslandsFlag },
  cr: { enName: "Costa Rica", component: Components.CostaRicaFlag },
  hr: { enName: "Croatia", component: Components.CroatiaFlag },
  cu: { enName: "Cuba", component: Components.CubaFlag },
  cw: { enName: "Curaçao", component: Components.CuraaoFlag },
  cy: { enName: "Cyprus", component: Components.CyprusFlag },
  cz: { enName: "Czech Republic", component: Components.CzechRepublicFlag },
  ci: { enName: "Côte d'Ivoire", component: Components.CtedIvoireFlag },
  cd: {
    enName: "Democratic Republic of the Congo",
    component: Components.DemocraticRepublicoftheCongoFlag,
  },
  dk: { enName: "Denmark", component: Components.DenmarkFlag },
  dg: { enName: "Diego Garcia", component: Components.DiegoGarciaFlag },
  dj: { enName: "Djibouti", component: Components.DjiboutiFlag },
  dm: { enName: "Dominica", component: Components.DominicaFlag },
  do: {
    enName: "Dominican Republic",
    component: Components.DominicanRepublicFlag,
  },
  ec: { enName: "Ecuador", component: Components.EcuadorFlag },
  eg: { enName: "Egypt", component: Components.EgyptFlag },
  sv: { enName: "El Salvador", component: Components.ElSalvadorFlag },
  "gb-eng": { enName: "England", component: Components.EnglandFlag },
  gq: {
    enName: "Equatorial Guinea",
    component: Components.EquatorialGuineaFlag,
  },
  er: { enName: "Eritrea", component: Components.EritreaFlag },
  ee: { enName: "Estonia", component: Components.EstoniaFlag },
  sz: { enName: "Eswatini", component: Components.EswatiniFlag },
  et: { enName: "Ethiopia", component: Components.EthiopiaFlag },
  eu: { enName: "Europe", component: Components.EuropeFlag },
  fk: { enName: "Falkland Islands", component: Components.FalklandIslandsFlag },
  fo: { enName: "Faroe Islands", component: Components.FaroeIslandsFlag },
  fm: {
    enName: "Federated States of Micronesia",
    component: Components.FederatedStatesofMicronesiaFlag,
  },
  fj: { enName: "Fiji", component: Components.FijiFlag },
  fi: { enName: "Finland", component: Components.FinlandFlag },
  fr: { enName: "France", component: Components.FranceFlag },
  gf: { enName: "French Guiana", component: Components.FrenchGuianaFlag },
  pf: { enName: "French Polynesia", component: Components.FrenchPolynesiaFlag },
  tf: {
    enName: "French Southern Territories",
    component: Components.FrenchSouthernTerritoriesFlag,
  },
  ga: { enName: "Gabon", component: Components.GabonFlag },
  "es-ga": { enName: "Galicia", component: Components.GaliciaFlag },
  gm: { enName: "Gambia", component: Components.GambiaFlag },
  ge: { enName: "Georgia", component: Components.GeorgiaFlag },
  de: { enName: "Germany", component: Components.GermanyFlag },
  gh: { enName: "Ghana", component: Components.GhanaFlag },
  gi: { enName: "Gibraltar", component: Components.GibraltarFlag },
  gr: { enName: "Greece", component: Components.GreeceFlag },
  gl: { enName: "Greenland", component: Components.GreenlandFlag },
  gd: { enName: "Grenada", component: Components.GrenadaFlag },
  gp: { enName: "Guadeloupe", component: Components.GuadeloupeFlag },
  gu: { enName: "Guam", component: Components.GuamFlag },
  gt: { enName: "Guatemala", component: Components.GuatemalaFlag },
  gg: { enName: "Guernsey", component: Components.GuernseyFlag },
  gn: { enName: "Guinea", component: Components.GuineaFlag },
  gw: { enName: "Guinea-Bissau", component: Components.GuineaBissauFlag },
  gy: { enName: "Guyana", component: Components.GuyanaFlag },
  ht: { enName: "Haiti", component: Components.HaitiFlag },
  hm: {
    enName: "Heard Island And McDonald Islands",
    component: Components.HeardIslandAndMcDonaldIslandsFlag,
  },
  va: { enName: "Holy See", component: Components.HolySeeFlag },
  hn: { enName: "Honduras", component: Components.HondurasFlag },
  hk: { enName: "China Hong Kong", component: Components.ChinaHongKongFlag },
  hu: { enName: "Hungary", component: Components.HungaryFlag },
  is: { enName: "Iceland", component: Components.IcelandFlag },
  in: { enName: "India", component: Components.IndiaFlag },
  id: { enName: "Indonesia", component: Components.IndonesiaFlag },
  ir: { enName: "Iran", component: Components.IranFlag },
  iq: { enName: "Iraq", component: Components.IraqFlag },
  ie: { enName: "Ireland", component: Components.IrelandFlag },
  im: { enName: "Isle of Man", component: Components.IsleofManFlag },
  il: { enName: "Israel", component: Components.IsraelFlag },
  it: { enName: "Italy", component: Components.ItalyFlag },
  jm: { enName: "Jamaica", component: Components.JamaicaFlag },
  jp: { enName: "Japan", component: Components.JapanFlag },
  je: { enName: "Jersey", component: Components.JerseyFlag },
  jo: { enName: "Jordan", component: Components.JordanFlag },
  kz: { enName: "Kazakhstan", component: Components.KazakhstanFlag },
  ke: { enName: "Kenya", component: Components.KenyaFlag },
  ki: { enName: "Kiribati", component: Components.KiribatiFlag },
  xk: { enName: "Kosovo", component: Components.KosovoFlag },
  kw: { enName: "Kuwait", component: Components.KuwaitFlag },
  kg: { enName: "Kyrgyzstan", component: Components.KyrgyzstanFlag },
  la: { enName: "Laos", component: Components.LaosFlag },
  lv: { enName: "Latvia", component: Components.LatviaFlag },
  lb: { enName: "Lebanon", component: Components.LebanonFlag },
  ls: { enName: "Lesotho", component: Components.LesothoFlag },
  lr: { enName: "Liberia", component: Components.LiberiaFlag },
  ly: { enName: "Libya", component: Components.LibyaFlag },
  li: { enName: "Liechtenstein", component: Components.LiechtensteinFlag },
  lt: { enName: "Lithuania", component: Components.LithuaniaFlag },
  lu: { enName: "Luxembourg", component: Components.LuxembourgFlag },
  mo: { enName: "China Macau", component: Components.ChinaMacauFlag },
  mg: { enName: "Madagascar", component: Components.MadagascarFlag },
  mw: { enName: "Malawi", component: Components.MalawiFlag },
  my: { enName: "Malaysia", component: Components.MalaysiaFlag },
  mv: { enName: "Maldives", component: Components.MaldivesFlag },
  ml: { enName: "Mali", component: Components.MaliFlag },
  mt: { enName: "Malta", component: Components.MaltaFlag },
  mh: { enName: "Marshall Islands", component: Components.MarshallIslandsFlag },
  mq: { enName: "Martinique", component: Components.MartiniqueFlag },
  mr: { enName: "Mauritania", component: Components.MauritaniaFlag },
  mu: { enName: "Mauritius", component: Components.MauritiusFlag },
  yt: { enName: "Mayotte", component: Components.MayotteFlag },
  mx: { enName: "Mexico", component: Components.MexicoFlag },
  md: { enName: "Moldova", component: Components.MoldovaFlag },
  mc: { enName: "Monaco", component: Components.MonacoFlag },
  mn: { enName: "Mongolia", component: Components.MongoliaFlag },
  me: { enName: "Montenegro", component: Components.MontenegroFlag },
  ms: { enName: "Montserrat", component: Components.MontserratFlag },
  ma: { enName: "Morocco", component: Components.MoroccoFlag },
  mz: { enName: "Mozambique", component: Components.MozambiqueFlag },
  mm: { enName: "Myanmar", component: Components.MyanmarFlag },
  na: { enName: "Namibia", component: Components.NamibiaFlag },
  nr: { enName: "Nauru", component: Components.NauruFlag },
  np: { enName: "Nepal", component: Components.NepalFlag },
  nl: { enName: "Netherlands", component: Components.NetherlandsFlag },
  nc: { enName: "New Caledonia", component: Components.NewCaledoniaFlag },
  nz: { enName: "New Zealand", component: Components.NewZealandFlag },
  ni: { enName: "Nicaragua", component: Components.NicaraguaFlag },
  ne: { enName: "Niger", component: Components.NigerFlag },
  ng: { enName: "Nigeria", component: Components.NigeriaFlag },
  nu: { enName: "Niue", component: Components.NiueFlag },
  nf: { enName: "Norfolk Island", component: Components.NorfolkIslandFlag },
  kp: { enName: "North Korea", component: Components.NorthKoreaFlag },
  mk: { enName: "North Macedonia", component: Components.NorthMacedoniaFlag },
  "gb-nir": {
    enName: "Northern Ireland",
    component: Components.NorthernIrelandFlag,
  },
  mp: {
    enName: "Northern Mariana Islands",
    component: Components.NorthernMarianaIslandsFlag,
  },
  no: { enName: "Norway", component: Components.NorwayFlag },
  om: { enName: "Oman", component: Components.OmanFlag },
  pk: { enName: "Pakistan", component: Components.PakistanFlag },
  pw: { enName: "Palau", component: Components.PalauFlag },
  pa: { enName: "Panama", component: Components.PanamaFlag },
  pg: { enName: "Papua New Guinea", component: Components.PapuaNewGuineaFlag },
  py: { enName: "Paraguay", component: Components.ParaguayFlag },
  pe: { enName: "Peru", component: Components.PeruFlag },
  ph: { enName: "Philippines", component: Components.PhilippinesFlag },
  pn: { enName: "Pitcairn", component: Components.PitcairnFlag },
  pl: { enName: "Poland", component: Components.PolandFlag },
  pt: { enName: "Portugal", component: Components.PortugalFlag },
  pr: { enName: "Puerto Rico", component: Components.PuertoRicoFlag },
  qa: { enName: "Qatar", component: Components.QatarFlag },
  cg: {
    enName: "Republic of the Congo",
    component: Components.RepublicoftheCongoFlag,
  },
  ro: { enName: "Romania", component: Components.RomaniaFlag },
  ru: { enName: "Russia", component: Components.RussiaFlag },
  rw: { enName: "Rwanda", component: Components.RwandaFlag },
  re: { enName: "Réunion", component: Components.RunionFlag },
  bl: { enName: "Saint Barthélemy", component: Components.SaintBarthlemyFlag },
  sh: {
    enName: "Saint Helena, Ascension And Tristan da Cunha",
    component: Components.SaintHelenaAscensionAndTristandaCunhaFlag,
  },
  kn: {
    enName: "Saint Kitts And Nevis",
    component: Components.SaintKittsAndNevisFlag,
  },
  lc: { enName: "Saint Lucia", component: Components.SaintLuciaFlag },
  mf: { enName: "Saint Martin", component: Components.SaintMartinFlag },
  pm: {
    enName: "Saint Pierre And Miquelon",
    component: Components.SaintPierreAndMiquelonFlag,
  },
  vc: {
    enName: "Saint Vincent And the Grenadines",
    component: Components.SaintVincentAndtheGrenadinesFlag,
  },
  ws: { enName: "Samoa", component: Components.SamoaFlag },
  sm: { enName: "San Marino", component: Components.SanMarinoFlag },
  st: {
    enName: "Sao Tome And Principe",
    component: Components.SaoTomeAndPrincipeFlag,
  },
  sa: { enName: "Saudi Arabia", component: Components.SaudiArabiaFlag },
  "gb-sct": { enName: "Scotland", component: Components.ScotlandFlag },
  sn: { enName: "Senegal", component: Components.SenegalFlag },
  rs: { enName: "Serbia", component: Components.SerbiaFlag },
  sc: { enName: "Seychelles", component: Components.SeychellesFlag },
  sl: { enName: "Sierra Leone", component: Components.SierraLeoneFlag },
  sg: { enName: "Singapore", component: Components.SingaporeFlag },
  sx: { enName: "Sint Maarten", component: Components.SintMaartenFlag },
  sk: { enName: "Slovakia", component: Components.SlovakiaFlag },
  si: { enName: "Slovenia", component: Components.SloveniaFlag },
  sb: { enName: "Solomon Islands", component: Components.SolomonIslandsFlag },
  so: { enName: "Somalia", component: Components.SomaliaFlag },
  za: { enName: "South Africa", component: Components.SouthAfricaFlag },
  gs: {
    enName: "South Georgia And the South Sandwich Islands",
    component: Components.SouthGeorgiaAndtheSouthSandwichIslandsFlag,
  },
  kr: { enName: "South Korea", component: Components.SouthKoreaFlag },
  ss: { enName: "South Sudan", component: Components.SouthSudanFlag },
  es: { enName: "Spain", component: Components.SpainFlag },
  lk: { enName: "Sri Lanka", component: Components.SriLankaFlag },
  ps: {
    enName: "State of Palestine",
    component: Components.StateofPalestineFlag,
  },
  sd: { enName: "Sudan", component: Components.SudanFlag },
  sr: { enName: "Suriname", component: Components.SurinameFlag },
  sj: {
    enName: "Svalbard And Jan Mayen",
    component: Components.SvalbardAndJanMayenFlag,
  },
  se: { enName: "Sweden", component: Components.SwedenFlag },
  ch: { enName: "Switzerland", component: Components.SwitzerlandFlag },
  sy: { enName: "Syria", component: Components.SyriaFlag },
  tw: { enName: "China Taiwan", component: Components.ChinaTaiwanFlag },
  tj: { enName: "Tajikistan", component: Components.TajikistanFlag },
  tz: { enName: "Tanzania", component: Components.TanzaniaFlag },
  th: { enName: "Thailand", component: Components.ThailandFlag },
  tl: { enName: "Timor-Leste", component: Components.TimorLesteFlag },
  tg: { enName: "Togo", component: Components.TogoFlag },
  tk: { enName: "Tokelau", component: Components.TokelauFlag },
  to: { enName: "Tonga", component: Components.TongaFlag },
  tt: {
    enName: "Trinidad And Tobago",
    component: Components.TrinidadAndTobagoFlag,
  },
  ta: { enName: "Tristan da Cunha", component: Components.TristandaCunhaFlag },
  tn: { enName: "Tunisia", component: Components.TunisiaFlag },
  tr: { enName: "Turkey", component: Components.TurkeyFlag },
  tm: { enName: "Turkmenistan", component: Components.TurkmenistanFlag },
  tc: {
    enName: "Turks And Caicos Islands",
    component: Components.TurksAndCaicosIslandsFlag,
  },
  tv: { enName: "Tuvalu", component: Components.TuvaluFlag },
  ug: { enName: "Uganda", component: Components.UgandaFlag },
  ua: { enName: "Ukraine", component: Components.UkraineFlag },
  ae: {
    enName: "United Arab Emirates",
    component: Components.UnitedArabEmiratesFlag,
  },
  gb: { enName: "United Kingdom", component: Components.UnitedKingdomFlag },
  un: { enName: "United Nations", component: Components.UnitedNationsFlag },
  um: {
    enName: "United States Minor Outlying Islands",
    component: Components.UnitedStatesMinorOutlyingIslandsFlag,
  },
  us: {
    enName: "United States of America",
    component: Components.UnitedStatesofAmericaFlag,
  },
  xx: { enName: "Unknown", component: Components.UnknownFlag },
  uy: { enName: "Uruguay", component: Components.UruguayFlag },
  uz: { enName: "Uzbekistan", component: Components.UzbekistanFlag },
  vu: { enName: "Vanuatu", component: Components.VanuatuFlag },
  ve: { enName: "Venezuela", component: Components.VenezuelaFlag },
  vn: { enName: "Vietnam", component: Components.VietnamFlag },
  vg: {
    enName: "Virgin Islands (British)",
    component: Components.VirginIslandsBritishFlag,
  },
  vi: {
    enName: "Virgin Islands (U.S.)",
    component: Components.VirginIslandsUSFlag,
  },
  "gb-wls": { enName: "Wales", component: Components.WalesFlag },
  wf: {
    enName: "Wallis And Futuna",
    component: Components.WallisAndFutunaFlag,
  },
  eh: { enName: "Western Sahara", component: Components.WesternSaharaFlag },
  ye: { enName: "Yemen", component: Components.YemenFlag },
  zm: { enName: "Zambia", component: Components.ZambiaFlag },
  zw: { enName: "Zimbabwe", component: Components.ZimbabweFlag },
};
